List of contracts

Retrieve a list of contracts. Token scopes: contracts:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

after_cursorstringOptional
Return next page of results after the given cursor.
limitstringOptionalformat: "^[0-9]+$"
Return a page of results with the given number of records.
order_directionenumOptional

Order direction of results; ascending or descending.

Allowed values:
typeslist of enumsOptional
Filter contracts by type. A contract is included in the results if its type is in this list.
statuseslist of enumsOptional
Filter contracts by current status. A contract is included in the results if its status is in this list.
team_idstringOptional

Filter contracts for the given team ID. NOTE: All query parameters are technically strings or arrays of strings.

external_idstringOptional
Filter contracts for the given external ID.
external_id_absentstringOptional

Filter contracts by external ID presence. When true, returns contracts without an external ID. When false, returns contracts with an external ID. Cannot be used with external_id query param when set to true.

countrieslist of stringsOptional
Filter contracts by country codes.
currencieslist of strings or stringOptional
Filter contracts by currency codes.
searchstringOptional
Include a contract if its name or the contractor's name contains the given search term.
sort_byenumOptional
Sort contracts by the given field name.
Allowed values:
expandenumOptional
Include cost centers in the response.
Allowed values:

Response

Successful operation.
datalist of objects
Array of contract objects.
pageobject
Pagination information for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error